summaryrefslogtreecommitdiffstats
path: root/system/refind/refind.SlackBuild
diff options
context:
space:
mode:
author Zhu Qun-Ying <zhu.qunying@gmail.com>2014-12-11 18:19:30 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-12 07:49:07 +0700
commit3fa1145fd5abcf6003ef444c2841a85789367638 (patch)
tree8ff50755a04349616c58020eab55344a9915e3b9 /system/refind/refind.SlackBuild
parentba3664335fd5418af16ece27605441425e37a2b5 (diff)
downloadslackbuilds-3fa1145fd5abcf6003ef444c2841a85789367638.tar.gz
slackbuilds-3fa1145fd5abcf6003ef444c2841a85789367638.tar.xz
system/refind: Added (An EFI boot manager utility).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/refind/refind.SlackBuild')
-rw-r--r--system/refind/refind.SlackBuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/system/refind/refind.SlackBuild b/system/refind/refind.SlackBuild
new file mode 100644
index 0000000000..1a71c2d311
--- /dev/null
+++ b/system/refind/refind.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for refind
+
+# Copyright 2014 Zhu Qun-Ying
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=refind
+VERSION=${VERSION:-0.8.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" != "x86_64" -a "$ARCH" != "i486" ]; then
+ echo "Platform $ARCH not supported."
+ exit
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-bin-$VERSION
+unzip $CWD/$PRGNAM-bin-${VERSION}.zip
+cd $PRGNAM-bin-$VERSION
+chown -R root:root .
+
+REFIND_SHARE_DIR=$PKG/usr/share/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/sbin
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/etc/${PRGNAM}.d/keys
+mkdir -p $REFIND_SHARE_DIR
+
+# copy keys
+cp keys/* $PKG/etc/${PRGNAM}.d/keys
+cp -ra refind install.sh fonts banners $REFIND_SHARE_DIR
+cp mkrlconf.sh mvrefind.sh $PKG/usr/sbin
+cp -a docs/* *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+
+# remove unnecessary package
+if [ "$ARCH" == "x86_64" ]; then
+ rm -rf $REFIND_SHARE_DIR/refind/drivers_ia32 \
+ $REFIND_SHARE_DIR/refind/tools_ia32 \
+ $REFIND_SHARE_DIR/refind/refind_ia32.efi
+else
+ rm -rf $REFIND_SHARE_DIR/refind/drivers_x64 \
+ $REFIND_SHARE_DIR/refind/tools_x64 \
+ $REFIND_SHARE_DIR/refind/refind_x64.efi
+fi
+# include a slackware banner made by me, including the svg version
+cp $CWD/slackware-banner.* $REFIND_SHARE_DIR/banners
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}